Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.history.stub
Class NullHashProvider

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.history.stub.NullHashProvider

All Implemented Interfaces:
  HashProvider

    public class NullHashProvider

extends java.lang.Object
implements HashProvider

Field Summary
`static NullHash` | `EMPTY_HASH`

Constructor Summary
`NullHashProvider()`

Method Summary
`Hash` | `build(byte[] hashBytes, int start, int length)`
`Hash` | `build(InputBuffer buf)`
`Hash` | `getEmpty()`
`int` | `getSerizlizedSize()`
`Hash` | `hash(java.nio.ByteBuffer... hashMe)`
`Hash` | `hash(long seq, short type, Hash nodeHash, Hash contentHash)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_HASH

    public static final NullHash EMPTY_HASH

Constructor Detail

### NullHashProvider

    public NullHashProvider()

Method Detail

### hash

    public Hash hash(long seq,
                     short type,
                     Hash nodeHash,
                     Hash contentHash)

  Specified by:
    `hash` in interface `HashProvider`

### hash

    public Hash hash(java.nio.ByteBuffer... hashMe)

  Specified by:
    `hash` in interface `HashProvider`

### build

    public Hash build(InputBuffer buf)

  Specified by:
    `build` in interface `HashProvider`

### getEmpty

    public Hash getEmpty()

  Specified by:
    `getEmpty` in interface `HashProvider`

### getSerizlizedSize

    public int getSerizlizedSize()

  Specified by:
    `getSerizlizedSize` in interface `HashProvider`

### build

    public Hash build(byte[] hashBytes,
                      int start,
                      int length)

  Specified by:
    `build` in interface `HashProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.